%define upstream_name    CGI-Struct
%define upstream_version 1.21

Name:       perl-%{upstream_name}
Version:    %perl_convert_version %{upstream_version}
Release:    %mkrel 9

Summary:    Build structures from CGI data
License:    GPL+ or Artistic
Group:      Development/Perl
Url:        https://metacpan.org/release/%{upstream_name}
Source0:    https://cpan.metacpan.org/modules/by-module/CGI/%{upstream_name}-%{upstream_version}.tar.gz

BuildRequires: perl(Storable)
BuildRequires: perl(Test::Deep)
BuildRequires: perl(Test::More)
BuildArch: noarch

%description
CGI::Struct lets you transform CGI data keys that _look like_ perl data
structures into _actual_ perl data structures.

CGI::Struct makes no attempt to actually _read in_ the variables from the
request. You should be using the CGI manpage or some equivalent for that.
CGI::Struct expects to be handed a reference to a hash containing all the
keys/values you care about. The common way is to use something like
'CGI->Vars' or (as the author does) 'Plack::Request->parameters->mixed'.

Whatever you use should give you a hash mapping the request variable names
(keys) to the values sent in by the users (values). Any of the major CGIish
modules will have such a method; consult the documentation for yours if you
don't know it offhand.

%prep
%setup -q -n %{upstream_name}-%{upstream_version}

%build
%{__perl} Makefile.PL INSTALLDIRS=vendor

%make_build

%check
%make_build test

%install
%make_install

%files
%doc META.yml README Changes META.json LICENSE
%{_mandir}/man3/*
%perl_vendorlib/*




%changelog
* Thu Jun 26 2025 umeabot <umeabot> 1.210.0-9.mga10
+ Revision: 2197825
- Mageia 10 Mass Rebuild

* Sun Mar 20 2022 umeabot <umeabot> 1.210.0-8.mga9
+ Revision: 1802324
- Mageia 9 Mass Rebuild

* Wed Feb 12 2020 umeabot <umeabot> 1.210.0-7.mga8
+ Revision: 1493499
- Mageia 8 Mass Rebuild
+ wally <wally>
- replace deprecated %%makeinstall_std

* Wed Sep 19 2018 umeabot <umeabot> 1.210.0-6.mga7
+ Revision: 1266069
- Mageia 7 Mass Rebuild

* Sat Jun 18 2016 pterjan <pterjan> 1.210.0-5.mga6
+ Revision: 1023825
- Rebuild for perl 5.22.2

* Mon Feb 08 2016 umeabot <umeabot> 1.210.0-4.mga6
+ Revision: 945776
- Mageia 6 Mass Rebuild

* Wed Oct 15 2014 umeabot <umeabot> 1.210.0-3.mga5
+ Revision: 746094
- Second Mageia 5 Mass Rebuild

* Tue Sep 16 2014 umeabot <umeabot> 1.210.0-2.mga5
+ Revision: 683660
- Mageia 5 Mass Rebuild

* Thu Feb 13 2014 jquelin <jquelin> 1.210.0-1.mga5
+ Revision: 590582
- imported package perl-CGI-Struct


* Thu Feb 13 2014 cpan2dist 1.21-1mga
- initial mageia release, generated with cpan2dist
